from typing import Any


SERVERS: list[dict[str, str]] = [
    {
        "id": "325",
        "latitude": "31",
        "longditude": "-85",
        "location": "Dothan AL, United States",
        "provider": "Comodo",
        "country_code": "us",
        "flag": "🇺🇸",
    },
    {
        "id": "329",
        "latitude": "26",
        "longitude": "-80",
        "location": "Miami FL, United States",
        "provider": "AT&T",
        "country_code": "us",
        "flag": "🇺🇸",
    },
    {
        "id": "59",
        "latitude": "38.95",
        "longitude": "-77.34",
        "location": "Reston VA, United States",
        "provider": "Sprint",
        "country-code": "us",
        "flag": "🇺🇸",
    },
    {
        "id": "327",
        "latitude": "41",
        "longitude": "-74",
        "location": "Brooklyn NY, United States",
        "provider": "Verizon",
        "country-code": "us",
        "flag": "🇺🇸",
    },
    {
        "id": "50",
        "latitude": "42.35",
        "longitude": "-71.05",
        "location": "Boston MA, United States",
        "provider": "Speakeasy",
        "country-code": "us",
        "flag": "🇺🇸",
    },
    {
        "id": "257",
        "latitude": "45.44",
        "longitude": "-73.87",
        "location": "Beaconsfield QC, Canada",
        "provider": "PubNIX",
        "country-code": "ca",
        "flag": "🇨🇦",
    },
    {
        "id": "411",
        "latitude": "25",
        "longitude": "-107",
        "location": "Culiacan, Mexico",
        "provider": "Megacable",
        "country-code": "mx",
        "flag": "🇲🇽",
    },
    {
        "id": "132",
        "latitude": "-30.03",
        "longitude": "-51.23",
        "location": "Porto Alegre, Brazil",
        "provider": "IPv6 Internet",
        "country-code": "br",
        "flag": "🇧🇷",
    },
    {
        "id": "377",
        "latitude": "37",
        "longitude": "-6",
        "location": "Paterna de Rivera, Spain",
        "provider": "ServiHosting",
        "country-code": "es",
        "flag": "🇪🇸",
    },
    {
        "id": "387",
        "latitude": "53",
        "longitude": "-2",
        "location": "Macclesfield, United Kingdom",
        "provider": "Blaze Networks",
        "country-code": "gb",
        "flag": "🇬🇧",
    },
    {
        "id": "371",
        "latitude": "51",
        "longitude": "3",
        "location": "Lille, France",
        "provider": "Completel SAS",
        "country-code": "fr",
        "flag": "🇫🇷",
    },
    {
        "id": "366",
        "latitude": "52",
        "longitude": "5",
        "location": "Amsterdam, Netherlands",
        "provider": "Freedom Registry",
        "country-code": "nl",
        "flag": "🇳🇱",
    },
    {
        "id": "401",
        "latitude": "55",
        "longitude": "8",
        "location": "Esbjerg, Denmark",
        "provider": "Mentor IT",
        "country-code": "dk",
        "flag": "🇩🇰",
    },
    {
        "id": "171",
        "latitude": "50.78",
        "longitude": "6.16",
        "location": "Aachen, Germany",
        "provider": "NetAachen",
        "country-code": "de",
        "flag": "🇩🇪",
    },
    {
        "id": "379",
        "latitude": "47",
        "longitude": "10",
        "location": "Zizers, Switzerland",
        "provider": "Oskar Emmenegger",
        "country-code": "ch",
        "flag": "🇨🇭",
    },
    {
        "id": "299",
        "latitude": "45.47",
        "longitude": "9.19",
        "location": "Milan, Italy",
        "provider": "Telecom Italia",
        "country-code": "it",
        "flag": "🇮🇹",
    },
    {
        "id": "364",
        "latitude": "-26",
        "longitude": "29",
        "location": "Cullinan, South Africa",
        "provider": "Liquid",
        "country-code": "za",
        "flag": "🇿🇦",
    },
    {
        "id": "428",
        "latitude": "37",
        "longitude": "31",
        "location": "Antalya, Turkey",
        "provider": "Teknet Yazlim",
        "country-code": "tr",
        "flag": "🇹🇷",
    },
    {
        "id": "357",
        "latitude": "54",
        "longitude": "48",
        "location": "Ulyanovsk, Russia",
        "provider": "Telecom.ru",
        "country-code": "ru",
        "flag": "🇷🇺",
    },
    {
        "id": "303",
        "latitude": "24.9",
        "longitude": "67.08",
        "location": "Karachi, Pakistan",
        "provider": "My Solutions",
        "country-code": "pk",
        "flag": "🇵🇰",
    },
    {
        "id": "388",
        "latitude": "11",
        "longitude": "79",
        "location": "Ariyalur, India",
        "provider": "Railwire",
        "country-code": "in",
        "flag": "🇮🇳",
    },
    {
        "id": "208",
        "latitude": "13.75",
        "longitude": "100.5",
        "location": "Bangkok, Thailand",
        "provider": "Loxley",
        "country-code": "th",
        "flag": "🇹🇭",
    },
    {
        "id": "420",
        "latitude": "3",
        "longitude": "102",
        "location": "Kuala Lumpur, Malaysia",
        "provider": "Ohana",
        "country-code": "my",
        "flag": "🇲🇾",
    },
    {
        "id": "423",
        "latitude": "1",
        "longitude": "104",
        "location": "Singapore, Singapore",
        "provider": "M1 Net",
        "country-code": "sg",
        "flag": "🇸🇬",
    },
    {
        "id": "427",
        "latitude": "23",
        "longitude": "114",
        "location": "Shenzhen, China",
        "provider": "Shenzhen Sunrise",
        "country-code": "cn",
        "flag": "🇨🇳",
    },
    {
        "id": "425",
        "latitude": "38",
        "longitude": "127",
        "location": "Seoul, South Korea",
        "provider": "KT",
        "country-code": "kr",
        "flag": "🇰🇷",
    },
    {
        "id": "430",
        "latitude": "35",
        "longitude": "136",
        "location": "Osaka, Japan",
        "provider": "NIFTY",
        "country-code": "jp",
        "flag": "🇯🇵",
    },
    {
        "id": "346",
        "latitude": "-35",
        "longitude": "139",
        "location": "Adelaide SA, Australia",
        "provider": "Telstra",
        "country-code": "au",
        "flag": "🇦🇺",
    },
    {
        "id": "312",
        "latitude": "-37.71",
        "longitude": "144.57",
        "location": "Melton South VIC, Australia",
        "provider": "Unknown",
        "country-code": "au",
        "flag": "🇦🇺",
    },
    {
        "id": "291",
        "latitude": "-37.78",
        "longitude": "175.28",
        "location": "Hamilton, New Zealand",
        "provider": "Satlan",
        "country-code": "nz",
        "flag": "🇳🇿",
    },
]
